Bug 452289 - [Intel 4.8 FEAT] igb driver update to latest upstream
Summary: [Intel 4.8 FEAT] igb driver update to latest upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
high
urgent
Target Milestone: rc
: 4.8
Assignee: Andy Gospodarek
QA Contact: Martin Jenner
URL:
Whiteboard:
: 451858 454825 475657 (view as bug list)
Depends On: 435886
Blocks: 435612 435614 450719 450720 450791 452249 456194 458123 RHEL4u8_relnotes 461297
TreeView+ depends on / blocked
 
Reported: 2008-06-20 19:01 UTC by John Ronciak
Modified: 2018-10-20 03:00 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:14:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description John Ronciak 2008-06-20 19:01:11 UTC
Description of problem:


Description of problem:
Update the latest e1000 driver to the latest upstream

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John Jarvis 2008-07-10 19:32:40 UTC
*** Bug 454825 has been marked as a duplicate of this bug. ***

Comment 2 IBM Bug Proxy 2008-07-10 19:47:00 UTC
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-09 17:30 EDT
1. Feature Id:	[201494]
Feature Name:	IGB Driver Update
Sponsor:	xSeries
Category:	Device Drivers and IO
Request Type:	Driver - Update Version

2. Short Description
An updated version of igb driver is required to address several bug fixes and enhancements. Intel
will provide the latest available version.

3. Business Case
The igb driver is on several key System x products. We need the in-distro driver to be as current as
possible so known critical bugs are ensured to be corrected.

4. Sponsor Priority	1
IBM Confidential:	yes
Code Contribution:	no
Upstream Acceptance:	In Progress
Component Version Target:	Driver Update
Performance Assistance:

5. PM Contact:	Monte Knutson, mknutson@us.ibm.com, 877-894-1495

6. Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

7. LTC Manager: Julio Alvarez, julioa@us.ibm.com

*** This bug has been marked as a duplicate of 452289 ***

Comment 3 Andrius Benokraitis 2008-07-15 20:53:32 UTC
*** Bug 451858 has been marked as a duplicate of this bug. ***

Comment 4 Ronald Pacheco 2008-07-29 12:56:49 UTC
High for HP and IBM.  This covers the Kawela NIC, the Zoar NIC, and the LOM on
Tylersburg reference designs.

Comment 6 John Ronciak 2008-08-26 21:03:24 UTC
Are these changes also in the Andy's latest test kernel that we are testing or the ICH9m, ICH10 and Hartwell?  If so we can test Kawela and Zoar as well.

Comment 7 RHEL Product and Program Management 2008-09-03 12:57:43 UTC
Updating PM score.

Comment 8 Flavio Leitner 2008-10-02 13:15:07 UTC
Linking IT#225360 to this ticket because WOL didn't work on 2.6.9-78.0.1
Adding keyword regression because it has worked on 4.6.

RHEL4.6 igb    native WOL ..... OK ... RX600S4(Zoar)
RHEL5.1 igb    native WOL ..... OK ... RX600S4(Zoar)
RHEL5.2 igb    native WOL ..... OK ... RX600S4(Zoar)
RHEL4.7 igb    native WOL ..... NG ... RX600S4(Zoar)

More information:
---
The problem does not occur with OEM igb driver 1.2.44.3.
The problem does not occur with EL5.2, neither with the native igb driver 
nor with 1.2.44.3.
---

The update to latest upstream version will probably fix this issue too.

Flavio

Comment 9 RHEL Product and Program Management 2008-10-02 13:39:43 UTC
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being marked as a blocker for this release.  

Please resolve ASAP.

Comment 14 John Villalovos 2008-12-10 16:32:07 UTC
Andy,

Since we are coming up on the deadline for kernel submissions I was wondering what the status of this bug is?

Comment 15 Andy Gospodarek 2008-12-10 16:43:28 UTC
John, I just haven't gotten to it yet, I'm hoping to have it done by the deadline.

Comment 16 John Ronciak 2008-12-10 17:00:27 UTC
Again, we are testing 5.3 at this time.  4.8 will get done after 5.3 is finished.

Comment 17 Andy Gospodarek 2008-12-23 02:34:17 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel4

Please test them and report back your results.

Comment 18 Andy Gospodarek 2009-01-07 21:40:26 UTC
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#

Please test them and report back your results.  Without immediate
feedback there is a good chance this or any other fix for this driver
will not be included in the upcoming update.

Comment 19 Vivek Goyal 2009-01-14 14:22:51 UTC
Committed in 78.28.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 20 Jaime Fuentes 2009-01-19 16:58:32 UTC
fit those packages in rhel 5.2? i've the similar isue

Comment 21 Jaime Fuentes 2009-01-19 17:40:57 UTC
delete my post !! i answered myself foundind the package over agospoda site's 

my apologies for all :(

Comment 24 Andy Gospodarek 2009-01-30 13:25:07 UTC
Has anyone tested these patches at all?  I did some initial testing with a Kawela NIC yesterday and things were not looking good.  I should know more later today.

Comment 25 Andy Gospodarek 2009-01-30 15:07:25 UTC
Basic functionality seems to be OK, but netdump isn't working.  I've already had to fix this up for another driver (so I expected this), but it will take me a little bit to get this going.

Comment 30 Andy Gospodarek 2009-02-05 21:31:10 UTC
I just created some new test kernels that should make using netdump with igb-based cards more reliable.  Any testing would be greatly appreciated.

http://people.redhat.com/agospoda/#rhel4

Comment 31 Ronald Pacheco 2009-02-06 06:02:23 UTC
*** Bug 475657 has been marked as a duplicate of this bug. ***

Comment 32 Chris Ward 2009-02-20 12:09:26 UTC
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should be a fix present in the Beta, which addresses this URGENT priority bug. If you haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and describe the issues you encountered. Further questions can be directed to your Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management

Comment 33 Chris Ward 2009-02-20 13:31:02 UTC
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should
be a fix present in the Beta, which addresses this bug. If you have already completed testing your other URGENT priority bugs, and you still haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. Further questions can be directed to your
Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management

Comment 34 IBM Bug Proxy 2009-02-23 17:20:51 UTC
Ran network test in RHEL 4.8 Alpha (64 bit) with IGB Driver.  netdump did not work. Rest of the tests passed.

Comment 35 Andy Gospodarek 2009-02-23 17:37:20 UTC
Thanks for the feedback.  I have some patches in my test kernels to resolve the netdump issue.

As always, they are available here:

http://people.redhat.com/agospoda/#rhel4

Comment 36 IBM Bug Proxy 2009-02-25 22:01:30 UTC
network tests on RHEL 4.8 alpha (32 and 64 bit)  passed with IGB and Kawela. netdump issue is being tracked by another IBM BZ # 51813.

Comment 37 IBM Bug Proxy 2009-03-03 00:10:32 UTC
(In reply to comment #29)
> network tests on RHEL 4.8 alpha (32 and 64 bit)  passed with IGB and Kawela.
> netdump issue is being tracked by another IBM BZ # 51813.
>

test passed on Zoar too.

Comment 38 John Villalovos 2009-03-12 20:22:01 UTC
Clearing needinfo since information has been provided.

Comment 39 Chris Ward 2009-03-13 14:02:31 UTC
~~ Attention Partners!  ~~
RHEL 4.8Beta has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. Please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe any issues you encountered. If you have found a NEW bug, clone this bug and describe the issues you've encountered. Further questions can be directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the Verified field above. Please leave a comment with your test results details. Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management

Comment 41 Sandy Garza 2009-03-23 18:07:01 UTC
HP verified successfully with RHEL 4.8 Beta.

Comment 45 Chris Ward 2009-03-25 08:59:36 UTC
Partners. I'm moving this to VERIFIED, as we've had several groups report positive test results already. The exception being, that there are some issues related to netdump. A new bug was created to track it. Please note that an updated test kernel has been posted already that should resolve the netdump issues. Please grab it and report test results to bug 484376.

https://bugzilla.redhat.com/show_bug.cgi?id=484376

If you encounter any additional issues with this update of the igb driver, please clone this bug and describe the issues you're encountering and request to your Partner Manager to have it reviewed for inclusion as an exception.

Comment 49 Thomas Chenault 2009-04-08 02:54:19 UTC
I have performed basic, minimal testing with igb 1.2.45-k2 as provided in kernel 2.6.9-87.ELsmp, x86_64. I have not encountered any undesirable behavior.

Comment 50 John Ronciak 2009-04-13 17:13:11 UTC
On testing to the latest 4.8 snapshot this driver is missing support for this:

#define E1000_DEV_ID_82576_NS	150A
Intel(R) 82576NS Gigabit Ethernet Controller	

device ID.  It probably needs to be added.

Comment 53 Vivek Goyal 2009-04-21 14:49:46 UTC
Committed in 89.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 55 Chris Ward 2009-04-24 07:40:43 UTC
Intel, has the -89 kernel resolved the issue in comment #50?

Comment 56 Jan Tluka 2009-04-28 16:56:30 UTC
Patch is in -89.EL kernel.

Comment 57 John Ronciak 2009-04-28 18:34:02 UTC
The device ID is indeed in the -89 kernel and is working in the tests so far.  So this BZ can be closed.

Comment 59 errata-xmlrpc 2009-05-18 19:14:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.